//
//  tLBulletSoftBodyPlugIn.h
//  tLBulletSoftBody
//
//  Created by pascal on 5/22/11.
//  Copyright (c) 2011 t-linked.com . All rights reserved.
//

#import <Quartz/Quartz.h>
#import <OpenGL/OpenGL.h>


@interface tLBulletSoftBodyPlugIn : QCPlugIn
{
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

@property (assign) double inputGravityX;
@property (assign) double inputGravityY;
@property (assign) double inputGravityZ;

@end


@interface tLBulletSoftBodyPlugIn (Execution) 

// Physics methods
- (void) initPhysics;
- (void) createBoulders;
- (void) createGround;
- (void) createBoundingBox;
- (void) exitPhysics;

// Drawing Methods
- (void) initGLScene: (CGLContextObj) cgl_ctx;
- (void) renderGLScene: (CGLContextObj) cgl_ctx;
- (void) drawGroundBox: (CGLContextObj) cgl_ctx;
- (void) drawBoulders: (CGLContextObj) cgl_ctx; 

@end
